package com.mcwl.communityCenter.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mcwl.communityCenter.domain.Community;
import com.mcwl.communityCenter.domain.CommunityUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import javax.validation.constraints.NotNull;
import java.util.Map;

@Mapper
public interface CommunityUserMapper extends BaseMapper<CommunityUser> {

    @InterceptorIgnore(tenantLine = "true")
    CommunityUser selectByTenantIdAndCommunityIdAndUserId(@Param("tenantId") Long tenantId,
                                                          @Param("communityId") Long communityId,
                                                          @Param("userId") Long userId);
}
