package com.mcwl.resource.domain.request;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 加密后文件修改
 *
 * @author DaiZibo
 * @date 2025/3/14
 * @apiNote
 */

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
public class RequestFile {

    /**
     * 版本ID
     */
    private Long id;

    /**
     * 类型
     */
    private String fileType;

    /**
     * 秘钥
     */
    private String keyRate;

    /**
     * 加密后文件地址
     */
    private String encryptionFilePath;

    /**
     * 加密后文件key
     */
    private String encryptionObjectKey;

    /**
     * 加密后文件大小
     */
    private String encryptionFileSize;

    /**
     * 加密后新文件名字
     */
    private String encryptionFileName;

}
