package com.mcwl.web.controller.mqtt;

import com.mcwl.common.core.domain.R;
import com.mcwl.myInvitation.domain.vo.CommissionRatioVo;
import com.mcwl.resource.util.MqttTemplate;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController()
@RequiredArgsConstructor
@RequestMapping("/mqtt")
public class MqttController {

    private final MqttTemplate mqttTemplate;

    @GetMapping("/send")
    public void list(String topic, String msg) {
        mqttTemplate.publish(topic, msg);
    }

}
