package com.mcwl.pay.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "收益返回对象")
public class IncomeVo {

    /**
     * 今日收益总额
     */
    @ApiModelProperty(value = "今日收益总额")
    private Double todayIncome;

    /**
     * 本月收益总额
     */
    @ApiModelProperty(value = "本月收益总额")
    private Double monthIncome;

    /**
     * 年度收益总额
     */
    @ApiModelProperty(value = "年度收益总额")
    private Double yearIncome;

    /**
     * 收益总额
     */
    @ApiModelProperty(value = "收益总额")
    private Double totalIncome;
}
