package com.mcwl.resource.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mcwl.resource.domain.Collect;
import com.mcwl.resource.domain.response.ResponseCollect;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author DaiZibo
 * @date 2025/3/5
 * @apiNote
 */

@Mapper
public interface CollectMapper extends BaseMapper<Collect> {
    Collect selectCollect(@Param("userId") Long userId, @Param("productId") Long productId, @Param("collectType") Integer collectType);

    Collect selectCollectById(@Param("modelId") Long modelId, @Param("userIdMax") Long userIdMax, @Param("type") Integer type);

    List<ResponseCollect> selectCollectWorkFlow(@Param("userIdMax") Long userIdMax);

    List<ResponseCollect> selectCollectModel(@Param("userIdMax") Long userIdMax, @Param("type") Long type);

}
