package com.mcwl.system.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 提现明细分页请求对象
 */
@ApiModel(description = "提现明细分页请求对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class WithdrawalPageRes extends PageDomain {

    @ApiModelProperty(value = "用户id")
    private Long userId;


}
